FROM 192.168.4.36/baseimg/jdk8
MAINTAINER zhangbin "bin.zhang@quantgroup.cn"

USER root

ARG SYSTEM_NAME=silk-road-eureka

WORKDIR /home/quant_group
RUN mkdir ${SYSTEM_NAME}/
RUN mkdir logs/

ARG BUILD_NUMBER
RUN echo "${BUILD_NUMBER}" >> ./version.txt

VOLUME /home/quant_group/logs/

EXPOSE 7080
COPY ./*.jar /home/quant_group/${SYSTEM_NAME}/${SYSTEM_NAME}/.jar
RUN chmod +x ./docker-entrypoint.sh

CMD ["./docker-entrypoint.sh"]